DBIx::Class::Storage::DBI::AutoCast(3)

NAME
DBIx::Class::Storage::DBI::AutoCast - Storage component for RDBMS requiring explicit placeholder typing

SYNOPSIS
  $schema->storage->auto_cast(1);

DESCRIPTION
In some combinations of RDBMS and DBD drivers (e.g. FreeTDS and Sybase) statements with values bound to columns or conditions that are not strings will throw implicit type conversion errors.

As long as a column data_type is defined and resolves to a base RDBMS native type via "_native_data_type" as defined in your Storage driver, the placeholder for this column will be converted to:

  CAST(? as $mapped_type)

This option can also be enabled in connect_info as:

  on_connect_call => ['set_auto_cast']

  connect_call_set_auto_cast
Executes:

  $schema->storage->auto_cast(1);

on connection.

Used as:

    on_connect_call => ['set_auto_cast']

in connect_info.

AUTHOR
See "CONTRIBUTORS" in DBIx::Class

LICENSE
You may distribute this code under the same terms as Perl itself.